<script>
	export default {
		onLaunch: function() {
			const that = this;
			that.forceUpdate();
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		},
		methods: {
			// 强制更新
			forceUpdate() {
				let system = uni.getSystemInfoSync();
				if (system.uniPlatform == 'mp-weixin') {
					const updateManager = uni.getUpdateManager();
					updateManager.onCheckForUpdate(function(res) {
						// 请求完新版本信息的回调
						console.log(res.hasUpdate);
					});
					updateManager.onUpdateReady(function(res) {
						uni.showModal({
							title: '更新提示',
							content: '新版本已经准备好，是否重启应用？',
							success(res) {
								if (res.confirm) {
									uni.clearStorage();
									updateManager.applyUpdate();
								}
							}
						});
					});
					updateManager.onUpdateFailed(function(res) {
						console.log(res);
						console.log('更新失败');
					});
				}
			}
		}
	}
</script>

<style lang="scss">
	@import "uview-plus/index.scss";
	@import './static/iconfont-weapp/iconfont-weapp-icon.css';

	/* 公用 */
	.container {
		display: flex;
		flex-direction: column;
		box-sizing: border-box;
		width: 100vw;
		height: 100vh;
	}

	.textOne {
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
		-o-text-overflow: ellipsis;
	}

	.textOver {
		overflow: hidden;
		text-overflow: ellipsis;
		word-break: break-all;
		display: -webkit-box;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 2;
	}

	/* 设置整个项目的公用样式*/
	page {
		// font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
		/* 窗口可用高度 */
		/* 有头有底 */
		--oneHeight: 100vh;
		/* 有头无底 */
		--twoHeight: 92vh;
		/* 可用窗口背景颜色 */
		--mainColor: #ffffff;
		/* 底部菜单背景颜色 */
		--footColor: #f1f1f1;
		/* 字体大小 */
		--font20Size: 20px;
		--font19Size: 19px;
		--font18Size: 18px;
		--font17Size: 17px;
		--font16Size: 16px;
		--font15Size: 15px;
		--font14Size: 14px;
		--font13Size: 13px;
		--font12Size: 12px;
		/* 颜色 */
		--f1Color: #f1f1f1;
		--f2Color: #f2f2f2;
		--f3Color: #f3f3f3;
		--f4Color: #f4f4f4;
		--f5Color: #f5f5f5;
		--f6Color: #f6f6f6;
		--f7Color: #f7f7f7;
		--f8Color: #f8f8f8;
		--f9Color: #f9f9f9;
		--f99Color: #999999;
		--f85Color: #858585;
		--f69Color: #696969;
		--f80Color: #808080;
		--f33Color: #333333;
		--fFB1Color: #7A7E83;
		--f828Color: #82848a;
		--fDCColor: #DCDCDC;
		--fcColor: #cccccc;
		--f00Color: #000000;
		--fffColor: #ffffff;
		--fF0Color: #FF0000;
		--fFFColor: #2979ff;
		--f3CColor: #007AFF;
		--f35BColor: #35BD7B;
	}
</style>